Installation of dependency fail on Ubuntu16.04


#1

I’m following the instruction as usual. This time on Xenial but installation doesn’t work.

root@d1e9ecc8dd9e:~# dpkg -i couchbase-release-1.0-2-amd64.deb
(Reading database ... 12036 files and directories currently installed.)
Preparing to unpack couchbase-release-1.0-2-amd64.deb ...
Supported platforms are: Debian/wheezy,jessie and Ubuntu/lucid,precise,trusty,xenial

dpkg: error processing archive couchbase-release-1.0-2-amd64.deb (--install):
 subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
 couchbase-release-1.0-2-amd64.deb
root@d1e9ecc8dd9e:~# 

Here’s the system information.

root@d1e9ecc8dd9e:~# cat /etc/*-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04 LTS"
NAME="Ubuntu"
VERSION="16.04 LTS (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04 LTS"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
UBUNTU_CODENAME=xenial

I’m running on Docker if that matters.


#2

I found that lsb_release in Docker only echo xenial back hence it only has one column.

So my work around is to make it echo xenial xenial instead.

Hope there’s more sustain solution implemented in the future. In the mean time, this works.